# MrzDocumentType enum

Type of document containing the MRZ.

Inheritance
  - Object
  - Enum
  - MrzDocumentType
Available extensions
  - EnumName

## Values

UNKNOWN → const MrzDocumentType

  Undefined.

CREW_MEMBER_CERTIFICATE → const MrzDocumentType

  Crew member certificate.

ID_CARD → const MrzDocumentType

  ID card.

PASSPORT → const MrzDocumentType

  Passport.

VISA → const MrzDocumentType

  Visa card.

CH_DRIVING_LICENSE → const MrzDocumentType

  Swiss driver license.

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
name → String

  Available on Enum, provided by the EnumName extension

  The name of the enum value.
  no setter
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<MrzDocumentType>
  A constant List of the values in this enum, in order of their declaration.